# Created by pyp2rpm-1.0.1
%global pypi_name stsci.convolve
%define version 2.1

Name:           python-stsci-convolve
Version:        %{version}
Release:        %mkrel 3
Group:          Sciences/Astronomy
Summary:        Image array convolution functions

License:        BSD
URL:            http://www.stsci.edu/resources/software_hardware/stsci_python
Source0:        https://pypi.python.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python-devel
BuildRequires:  python-d2to1 >= 0.2.9
BuildRequires:  python-stsci-distutils >= 0.3.2
BuildRequires:  python-numpy-devel


Obsoletes: python-stsci <= 2.13-4

%description
Formerly included in SciPy as scipy.stsci.convolve


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc LICENSE.txt
%{python_sitearch}/stsci/convolve
%{python_sitearch}/%{pypi_name}-%{version}-py?.?-*.pth
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.1-3.mga4
+ Revision: 544158
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.1-2.mga4
+ Revision: 499475
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 11 2013 joequant <joequant> 2.1-1.mga4
+ Revision: 477647
- imported package python-stsci-convolve

